// Player1.h: interface for the CPlayer class.
//
//////////////////////////////////////////////////////////////////////
#if !defined(AFX_MAINFRM_H__73D2BFF6_476F_4756_8C88_62C16F2C0054__DED_)
#define AFX_MAINFRM_H__73D2BFF6_476F_4756_8C88_62C16F2C0054__DED_


#include "cSound.h"
#include <string>
class CPlayer : public CWnd 
{
public:
	int m_nMaxNumber;
	void SetNumberOfTracks(int nNumber);
	void FindNoTracks();
	void BtnPrevPressed();
	void BtnNextPressed();
	void BtnPausePressed();
	void BtnStopPressed();
	void BtnPlayPressed();
	bool m_bIsDiskFinished;
	void DrawTitles(CRect rect, CDC *pDC);
	CSize GetSize() const;
	void SetNewSize(CSize size);
	void OnDraw(CDC* pDC);
	static CPlayer *const Instance();
	static void DeleteClass();

private:	
	bool m_bIsDiskIn;
	void z6();
	void z5();
	void z4();
	void z3();
	void z2();
	void z1();
	CPlayer();
	virtual ~CPlayer();
	static CPlayer *_instance;
	CSize m_size;
	CTime m_timeTrack;
	CString m_strTitle;
	void A0(int e);

	bool m_bPlay;
	bool m_bStop;
	bool m_bPause;
	bool m_bNext;
	bool m_bPrev;
	bool m_bNewCD;

	int		y0;

private:
	cSound m_s;
	std::string m_strFile;
	int iTrNum;
	//{{AFX_MSG(CPlayer)
	afx_msg void OnTimer(UINT nIDEvent);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
		
};

#endif