// playerView.h : interface of the CPlayerView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_PLAYERVIEW_H__6B7704A9_AE3B_4AF3_BEE9_6BF656BB793D__INCLUDED_)
#define AFX_PLAYERVIEW_H__6B7704A9_AE3B_4AF3_BEE9_6BF656BB793D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
#include "playerDoc.h"

class CPlayerView : public CView
{
protected: // create from serialization only
	CPlayerView();
	DECLARE_DYNCREATE(CPlayerView)

// Attributes
public:
	CPlayerDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPlayerView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual void OnFinalRelease();
	virtual void OnInitialUpdate();
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	int CheckMouseDown(CPoint pt);
	virtual ~CPlayerView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:
	
// Generated message map functions
protected:
	//{{AFX_MSG(CPlayerView)
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in playerView.cpp
inline CPlayerDoc* CPlayerView::GetDocument()
   { return (CPlayerDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PLAYERVIEW_H__6B7704A9_AE3B_4AF3_BEE9_6BF656BB793D__INCLUDED_)
